The `fduthesis` Class
=====================

*LaTeX thesis template for Fudan University, v0.7a*

Overview
--------

`fduthesis` is a thesis template for Fudan University. This template
is mostly written in LaTeX3, with a simple interface for users.

At present, only XeTeX, LuaTeX and [ApTeX](https://github.com/clerkma/ptex-ng)
(experimental) are supported.

The documentation can be found in
[fduthesis.pdf](https://github.com/Stone-Zeng/fduthesis/releases/download/v0.7a/fduthesis.pdf)
(in Chinese) or
[fduthesis-en.pdf](https://github.com/Stone-Zeng/fduthesis/releases/download/v0.7a/fduthesis-en.pdf)
(in English).

Installation
------------

To install `fduthesis`, you can use one of the following methods:

- Download
  [fduthesis.tds.zip](https://github.com/Stone-Zeng/fduthesis/releases/download/v0.7a/fduthesis.tds.zip)
  from GitHub, extract it in the root of one of your TDS trees, and
  update the filename database.

- Get the source (`fduthesis.zip`) from GitHub:

      git clone https://github.com/Stone-Zeng/fduthesis.git

  Run

      xetex fduthesis.dtx

  to generate the templates and configuration files. Then move the
  following files into a directory where LaTeX will find them (e.g.
  `TEXMF/tex/latex/fduthesis/`):

  - `fduthesis.cls`
  - `fduthesis-en.cls`
  - `fduthesis.def`
  - `fdudoc.cls`
  - `fdulogo.sty`

  Do not forget to update the filename database afterwards.

Contributing
------------

[Issues](https://github.com/Stone-Zeng/fduthesis/issues) and
[pull requests](https://github.com/Stone-Zeng/fduthesis/pulls)
are always welcome.

License
-------

This work may be distributed and/or modified under the conditions of
the [LaTeX Project Public License](http://www.latex-project.org/lppl.txt),
either version 1.3c of this license or (at your option) any later
version.

-----

Copyright (C) 2017, 2018 by Xiangdong Zeng <xdzeng96@gmail.com>.
